<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <title>CSS Selectors</title>
    <link rel="stylesheet" href="css/tag.css">
    <style>
        /* Aplica em todos os elementos */
        /* * {
            color: yellow;
            background-color: #f77;
        } */

        /* Aplica em todos os elementos com a class tag */
        /* .tag {
            color: yellow;
            background-color: #f77;
        } */

        /* Aplica em todos os id's aprovados */
        /* #aprovados {
            color: yellow;
            background-color: #f77;
        } */

        /* Aplica em todos os elementos div filhos diretos do #aninhado */
        /* #aninhado > div {
            color: yellow;
            background-color: #f77;
        } */

        /* Aplica em todos os sections descendentes de aninhado */
        /* #aninhado section{
            color: yellow;
            background-color: #f77;
        } */

        /* Aplica no primeiro ul irmão do p */
        /* p + ul{
            color: yellow;
            background-color: #f77;
        } */

        /* Aplica em todos irmãos ol de p */
        /* p ~ ol{
            color: yellow;
            background-color: #f77;
        } */

        /* Aplica em todos os elementos que tenham a propriendade feira */
        /* [feira]{
            color: yellow;
            background-color: #f77;
        } */

        /* Aplica em todos os elementos que tenham a propriedade feira com o valor igual a casa */
        /* [feira=casa]{
            color: yellow;
            background-color: #f77;
        } */

        /* Aplica em todos os elementos que tenham na propridade feira uma palavra igual a escritorio*/
        /* [feira~=escritorio]{
            color: rgb(146, 146, 128);
            background-color: #f77;
        } */

        /* Aplica em todos os elemento que tenham na propriedade feira as string sa*/
        /* [feira*=sa]{
            color: yellow;
            background-color: #f77;
        } */

        /* Aplica no primeiro elemento de um grupo de irmãos desde que esse seja um span*/
        /* span:nth-child(1){
            color: yellow;
            background-color: #f77;
        } */

        /* Aplica em todos os filhos impares de section*/
        /* section > :nth-child(odd){
            color: yellow;
            background-color: #f77;
        } */

        /* Aplica em todos os filhos pares de section */
        /* section > :nth-child(even){
            color: yellow;
            background-color: #f77;
        } */

        /* Aplica em todos os filhod impares de section em todos os ul's e em todos os p's */
        /* section > :nth-child(odd), ul, p{
            color: yellow;
            background-color: #f77;
        } */

        /* Aplica em todos label filho de um elemento impar filho direto de um section */
        /* section > :nth-child(odd) label{
            color: yellow;
            background-color: #f77;
        } */

        /* Aplica no  segundo span filho direto do section */
        /* section > span:nth-of-type(2){
            color: yellow;
            background-color: #f77;
        } */
    </style>
</head>

<body>
    <div class='tag nolabel'>
        <div class='tag'>
            <p class='tag'>1</p>
            <ul class='tag' feira='casa'>
                <li>Arroz</li>
                <li>Feijão</li>
            </ul>
            <ul class='tag' feira='escritorio empresa'>
                <li>Café</li>
                <li>Água</li>
            </ul>
            <ol id='aprovados' class='tag'>
                <li>Maria</li>
                <li>Pedro</li>
                <li>Ana</li>
            </ol>
            <div id='aninhado' class='tag'>
                <div class="tag">
                    <section class='tag nolabel'>
                        <span class='tag'>1</span>
                        <p class='tag'>2</p>
                        <span class='tag'>3</span>
                    </section>
                </div>
            </div>
        </div>
    </div>
    <script src="js/tag.js"></script>
</body>

</html>